Opened 15 years ago

Closed 15 years ago

Last modified 15 years ago

#1764 closed defect (invalid)

COMI: Does not start

Reported by: (none) Owned by:
Priority: normal Component: Engine: SCUMM
Keywords: Cc:
Game: Monkey Island 3

Description

I'm using

$ scummvm -v
Switched to configuration /home/tillea/.scummvmrc
ScummVM 0.6.1b (Aug 6 2004 12:49:49)
Features compiled in: Vorbis MP3 ALSA zLib MPEG2

on a Debian GNU/Linux system.

I have bought a box containing German versions of Ind 3/4/5
and Monkey Island 1/2/3. While Indy 3+4 and Monkey 1+2
work perfectly I'm completely unable to play Monkey 3
(Comi).

At first I want to stress that the CD does not contain
a file
comi.la1
as it is mentioned at
http://www.scummvm.org/documentation.php?view=datafiles

Furthermore it has a Windows installer which claims to need
DirectX. Because this is kind of unusual for me for
ScummVM
games I wonder whether the authors of this CD did some
change
which causes the problem.

What did I tried:

1. Mount the playable CD of Comi. Start scummvm.
Add this directory. Comi was detected correctly
(except
of the language which I adjusted to German manually).

ScummVm window says:
Cannot find file: `comi.la1`
Insert disc i into drive /m/cdrom
Prss OK to retry, Quit to exit

On console I've got the following message:
Switched to configuration /home/andreas/.scummvmrc
Looking for comi
Trying to start game 'The Curse of Monkey Island'
Cannot find file: 'comi.la1'

and the ScummVM went into debug mode immediately

2. I copied the files comi.la[02] and
resource/font[0-4].nut
to my harddisk. When I started scummvm in this
directory
it was missing the file comi.001 and did not start.
Once I made good experiences with "Sam & Max" where I
only had these *.la[0-2] named files to place a
symlink
comi.000 -> comi.la0
comi.001 -> comi.la2
This ended in a different message on console

ScummVM 0.6.1b (Aug 6 2004 12:49:49)
Console is ready
Debugger started, type `exit` to return to the
game.
Type `help` to see a lttle list of commands
and variables.
ERROR: (87:1:0xFBF): room 87 not in room 87 at
0+8 in file comi.001

and then ScummVM went into debug mode again. Any
command in the debug window caused an exit of the
scummvm.

How can I circumvent this problems?
Which further information do you need?

Kind regards and thanks for programming ScummVM

Andreas.

Ticket imported from: #1028982. Ticket imported from: bugs/1764.

Change History (7)

comment:1 by sev-, 15 years ago

Summary: Does not startCOMI: Does not start

comment:2 by sev-, 15 years ago

Please, provide detailed directories list of your CD as an
attachment.

comment:3 by (none), 15 years ago

I hope this would help:

$ ls -lR
.:
insgesamt 82195
-r-xr-xr-x 1 root root 41 1997-07-22 14:54 autorun.inf*
-r-xr-xr-x 1 root root 76791 1997-10-15 18:23 comi.la0*
-r-xr-xr-x 1 root root 83452557 1997-10-15 18:23 comi.la2*
-r-xr-xr-x 1 root root 628736 1997-10-28 11:50 curse.exe*
-r-xr-xr-x 1 root root 6033 1997-10-28 15:42 launcher.tab*
dr-xr-xr-x 1 root root 2048 1997-10-29 12:00 resource/

./resource:
insgesamt 457418
-r-xr-xr-x 1 root root 10902674 1997-10-16 12:09 finale.san*
-r-xr-xr-x 1 root root 94240 1997-10-02 18:05 font0.nut*
-r-xr-xr-x 1 root root 104856 1997-10-28 16:09 font1.nut*
-r-xr-xr-x 1 root root 104856 1997-10-28 16:09 font2.nut*
-r-xr-xr-x 1 root root 60968 1997-08-14 17:51 font3.nut*
-r-xr-xr-x 1 root root 126954 1997-09-16 17:14 font4.nut*
-r-xr-xr-x 1 root root 1079072 1997-09-19 12:35 kis030.san*
-r-xr-xr-x 1 root root 493252 1997-10-28 17:17 language.tab*
-r-xr-xr-x 1 root root 14072906 1997-10-16 12:37 lavaride.san*
-r-xr-xr-x 1 root root 7029492 1997-10-16 12:41 liftcrse.san*
-r-xr-xr-x 1 root root 9848654 1997-10-16 12:43 moreslaw.san*
-r-xr-xr-x 1 root root 190295532 1997-10-03 17:36 musdisk2.bun*
-r-xr-xr-x 1 root root 218406620 1997-10-28 17:56 voxdisk2.bun*
-r-xr-xr-x 1 root root 15003534 1997-10-16 12:59 wrecksan.san*
-r-xr-xr-x 1 root root 768114 1997-09-20 15:35 zap010.san*

$ find . -type f -mindepth 1 -exec md5sum \{\} \;
86d246f52a28efc2ccb6fe97b10fa233 ./autorun.inf
fe60d6b5ff51b0553ac59963123b5777 ./comi.la0
468f5ea61bb622284d57e615718b73cc ./comi.la2
4f3d85fdfa1ff1671a983f110f7989da ./curse.exe
4ee2a36efb70e3d819bfc8becd7d0a96 ./launcher.tab
72a9fb4e6885f3e76f915570b895e48d ./resource/finale.san
8b9f2180203fad6fbe22db9a48b6a839 ./resource/font0.nut
d7dbd55f272ce2130a11ce2fe365615d ./resource/font1.nut
d7dbd55f272ce2130a11ce2fe365615d ./resource/font2.nut
90d178dacab8dd14c40e61005131d118 ./resource/font3.nut
97a7d3fb528f16e86cf3970ace75e66c ./resource/font4.nut
71725a54a64252628c6b021341520632 ./resource/kis030.san
5d59594b24f3f1332e7d7e17455ed533 ./resource/language.tab
ba821a5dedac59259ecfd3c2bdd94e2a ./resource/lavaride.san
71f8f4b32526a9fec112074431033d68 ./resource/liftcrse.san
464dd136b075a74d2b8c5aedb9f1c261 ./resource/moreslaw.san
3ed44debfb6ce1de6a2cd99f4ed0c408 ./resource/musdisk2.bun
2742a0943db648a2b9a78d36c81748dd ./resource/voxdisk2.bun
0936c249ad307fd935ebd6d7df3febcf ./resource/wrecksan.san
711bd2711eefe4e3aec2a48021b81351 ./resource/zap010.san

This is the information of the CD which is intended to run Comi
directly. There is another CD which enables Comi installation.
Feel free to ask for further information.

Kind regards

Andreas.

comment:4 by sev-, 15 years ago

Resolution: invalid
Status: newclosed

comment:5 by sev-, 15 years ago

What you showed here is contents of CD2. COMI spans on 2
cds, so use first to start the game.

comment:6 by (none), 15 years ago

In fact it is CD2 - sorry for the confusion. Now it runs with
ScummVM if I copy

-rw-r--r-- 1 root root 76791 1997-10-15 18:38 comi.la0
-rw-r--r-- 1 root root 69340645 1997-10-15 18:37 comi.la1
drwxr-xr-x 2 andreas e2 4096 2004-09-16 20:59 resource

./resource:
insgesamt 422068
-rw-r--r-- 1 root root 94240 1997-10-02 18:20 font0.nut
-rw-r--r-- 1 root root 104856 1997-10-28 16:24 font1.nut
-rw-r--r-- 1 root root 104856 1997-10-28 16:24 font2.nut
-rw-r--r-- 1 root root 60968 1997-08-14 18:06 font3.nut
-rw-r--r-- 1 root root 126954 1997-09-16 17:29 font4.nut
-rw-r--r-- 1 root root 493252 1997-10-28 17:32 language.tab
-rw-r--r-- 1 root root 176849464 1997-10-03 17:44 musdisk1.bun
-rw-r--r-- 1 root root 82866094 1997-10-16 13:34 opening.san
-rw-r--r-- 1 root root 171017667 1997-10-28 17:53 voxdisk1.bun

I guess I will need comi.la2 in the second part of the game,
right? Can I save some disk space if I do not copy all files
from the CD? At least at start time several files from the
resource directory are not really needed. Is there any
explanation of these files?

Regarding to the bug I reported it might be closed now.
Sorry for the confusion and thanks for the help

Andreas.

comment:7 by sev-, 15 years ago

You need all files from one CD. If you're going to run from
HD, then at the time of transition from one CD to another
you could point extrapath (see game options) to your cdrom
mount point. And after you transited, then copy contents of
second CD to default directory (replacing first CD data) and
use -x option to load savefile which points to second CD
game parts.

Note: See TracTickets for help on using tickets.